Bug 434609 - Quit gtk2 mono program ->Segmentation fault in gtk-sharp2-2.10.2-1.fc8
Summary: Quit gtk2 mono program ->Segmentation fault in gtk-sharp2-2.10.2-1.fc8
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-sharp2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-23 06:49 UTC by sangu
Modified: 2008-04-17 03:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 15:25:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sangu 2008-02-23 06:49:27 UTC
Description of problem:
Quit gtk2 mono program -> Segmentation fault in gtk-sharp2-2.10.2-1.fc8
$ f-spot -shutdown
Initializing Mono.Addins
Segmentation fault
$ dmesg
[....]
banshee[7305]: segfault at 037e96d0 eip 037e96d0 esp bfee626c error 4
f-spot[22758]: segfault at 01d31fb0 eip 01d31fb0 esp bf8fc0f4 error 4
f-spot[22930]: segfault at 06ff9fb0 eip 06ff9fb0 esp bf8c98c4 error 4
f-spot[5943]: segfault at 069c8af8 eip 069c8af8 esp bfe82674 error 4
f-spot[23405]: segfault at 01517360 eip 01517360 esp bfadead4 error 4
f-spot[23437]: segfault at 06883060 eip 06883060 esp bf8b6104 error 4


Version-Release number of selected component (if applicable):
2.10.2-1.fc8

How reproducible:
always

Steps to Reproduce:
1. launch gtk2 mono program (like f-spot, banshee)
2. quit (Ctrl - q)
3.
  
Actual results:


Expected results:


Additional info:
No problem in gtk-sharp2-2.10.3 (personal made package) and gtk-sharp2-2.10.0-6.fc8.

Comment 1 Fedora Update System 2008-02-28 00:17:28 UTC
gtk-sharp2-2.10.3-1.fc8 has been submitted as an update for Fedora 8

Comment 2 Xavier Lamien 2008-02-28 00:18:37 UTC
release 2.10.3 have been built.
will be available once bodhi will push it on testing (for first).

Comment 3 sangu 2008-02-28 15:48:51 UTC
Thank!

And gtk-sharp2-2.10.4 released. Please push it for rawhide user.

Comment 4 Fedora Update System 2008-02-28 21:42:33 UTC
gtk-sharp2-2.10.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-sharp2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2097

Comment 5 Fedora Update System 2008-04-17 03:51:45 UTC
gtk-sharp2-2.10.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.